RPGWatch Forums

RPGWatch Forums (http://www.rpgwatch.com/forums/index.php)
-   News Comments (http://www.rpgwatch.com/forums/forumdisplay.php?f=10)
-   -   NWN2 - Patch 1.10 and "Reversioning" (http://www.rpgwatch.com/forums/showthread.php?t=2807)

Dhruin September 27th, 2007 04:12

NWN2 - Patch 1.10 and "Reversioning"
 
News from Rob McGinnis on the official NWN2 forums about some difficulty they are having with the different code versions in NWN2 and Mask of the Betrayer, hence, v1.07 will be renamed 1.10 and a further patch for vanilla NWN2 will follow after the release of MotB:
Quote:

With the MoTB release imminent, we have been taking a look at the 1.07 patch and how it interacts with MoTB.

Many of you have seen already that we have been slowly bringing the code forks together now, so that the NWN2 patches are compatible with MoTB.

Patching the game is always a difficult process. When one thing is fixed, other things break. So, with that in mind we had to make a decision about how to handle the 1.07 patch with the MoTB release.

What we have decided is that, the 1.07 final patch will be "reversioned" to become 1.10. The 1.10 final patch will contain only data fixes from 1.07. It will not contain any programming fixes that are not already in 1.07. This means that some things, such as stealth, while they are fixed for us, may not be fixed in 1.10 for you. This is to make sure that when you have your copy of MoTB installed, the patch won't break it unnecessarily.

Now, for those of you that purchase and install MoTB, you should see all the fixes right away - including stealth - as they are "native" to that code. But for those of you that don't have MoTB, the fixes will be finalized in the patch after the MoTB release.

We apologize for any inconvenience, but feel this is the safest course of action for all players.
And some further clarification:
Quote:

Basically, unless it is a data issue (2da or TLK files), things that are broken in the 1.07 patch will remain broken in 1.10. We will not remove features from 1.07.

Players that have MoTB installed should be able to play on NWN2 PW/MP servers, but NWN2 players will not be able to play on MoTB servers.

MoTB contains all the patches from 1.00 to 1.10. You can install MoTB on top of a fresh NWN2 install and it will bring you current.
Speaking of v1.07, WarCry has a list of the DM Client fixes in this last patch.
Thanks, Lucky Day!
More information.

Badesumofu September 27th, 2007 04:12

1.10 appears to have now been released.

http://nwvault.ign.com/View.php?view….Detail&id=230

txa1265 September 27th, 2007 10:32

Quote:

Originally Posted by Badesumofu (Post 47067)
1.10 appears to have now been released.

http://nwvault.ign.com/View.php?view….Detail&id=230

Yeah, appears to be an 'unofficial' release of the 'official' patch according to the forums.

Gorath September 27th, 2007 21:44

Isnīt MotB already released?

Lucky Day September 27th, 2007 22:04

Some places in Europe are reporting it released today

http://nwn2forums.bioware.com/forums…orum=121&sp=30

(last post)

It won't be available in NA until Oct 9th.

This is the second oddity from Obsidian on this game. Normally companies like to push for 3rd Quarter releases even if its the last week. For the second time a NWN2 is being released into Quarter 4 in NA.

I would normally say this is a good thing (since it means the deadline isn't artificial and they can take the time to do it right) but then why the 3rd Quarter release in Europe?

Dhruin September 27th, 2007 22:46

I read (forget where but it was from Obsidian) that they pushed it out from Sept 28 to Oct 9th a little while ago for more time but actually ended up finishing early. By then, the US marketing was in place for Oct 9 but Europe was happy to go early.

Don't know how true this is, of course.

Avantenor September 27th, 2007 23:02

Maximus wrote this in his preview. Atari Europe thought they would need more time for localisation.

Patch is now available via auto-updater

Moriendor September 27th, 2007 23:30

The German version of the expansion shipped in Germany yesterday and the UK/Euro version today. It is indeed available over here.

Lucky Day September 28th, 2007 02:47

Rob McGinnis says its official now

He also says "Some people have gotten ahold of early versions of the game" . I can't tell if he is implying they were on shelves at stores too early or he's forgotten the release dates in Europe.

Some people are reporting problems with the disc. There may be conflicts with SecuROM.

Gorath September 28th, 2007 14:09

Okay, then I was right. I had the box in my hand and was pretty sure it was the add-on.

Prime Junta September 28th, 2007 15:26

I just patched my game yesterday, and it works fine.

Being able to select multiple characters is a lifesaver — I can just have all of them stick together as a group and beat the poopy out of any passing monsters much more effectively than before.

JemyM September 30th, 2007 08:41

I guess I'll go over to the store and grab it. Wont have time to play it until after christmas though.


All times are GMT +2. The time now is 06:36.

Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.
Copyright by RPGWatch